Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 336856 (kdepim-l10n-chaos) - kdepim-meta-4.4.x (kmail, kleopatra, kaddressbook,...) mixes up languages with kde-base/kde-l10n-4.6
Summary: kdepim-meta-4.4.x (kmail, kleopatra, kaddressbook,...) mixes up languages wit...
Status: RESOLVED FIXED
Alias: kdepim-l10n-chaos
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High trivial (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 340431
  Show dependency tree
 
Reported: 2010-09-11 19:38 UTC by saft
Modified: 2011-04-25 17:28 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
l10n ebuild for KDEPIM-4.4.5+ (kdepim-l10n-4.4.5.ebuild,2.36 KB, text/plain)
2010-09-14 16:32 UTC, Bartosz Brachaczek
Details
patch for kde4-base.eclass needed by kdepim-l10n ebuild (kde4-base-eclass.patch,640 bytes, patch)
2010-09-14 16:33 UTC, Bartosz Brachaczek
Details | Diff
kde-base/kde-l10n/kde-l10n-4.5.2-r1.ebuild (kde-l10n-4.5.2-r1.ebuild,1.60 KB, text/plain)
2010-10-23 12:15 UTC, S. Lorsbach
Details
kde-l10n/kde-l10n-4.5.3-r1.ebuild (kde-l10n-4.5.3-r1.ebuild,1.61 KB, text/plain)
2010-11-06 11:00 UTC, S. Lorsbach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description saft 2010-09-11 19:38:10 UTC
Hi I have kde 4.5.1 installed and use kdepim-meta-4.4.6 but this happend also on 4.4.5.
moving from kde 4.4 to 4.5 I didn't update kde-l10n-4.4 so I started kde normal and anything worked good and was in my language (German) also kdepim apps (kmail,kaddressbook,kleopatra and so on...) where in German. But from the moment of updating kde-l10n to 4.5.1 all kdepim apps started in American English as primary language without any option to change it in "switch Application language" menu.

Merging back to kde-l10n-4.4.5 (terrible name for its purpose) fails to build.

Reproducible: Always

Steps to Reproduce:
1.use kde 4.5.1 with kde-l10n-4.5.1 and kdepim apps 4.4.5/6
2.start any kdepim app and it is in English


Actual Results:  
kdepim apps are all in English

Expected Results:  
kdepim apps should be in my preferred language

starting kontact from konsole gave me this:
kontact 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kontact(26291)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kontact(26291)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kontact(26291)/kdeui (kdelibs): No such XML file "/home/saft/.kde4/share/apps/kontact/local-kmail.rc"
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-09-12 00:20:04 UTC
Please send your most sincere thanks to upstream.

We've been arguing for months in the kde-packagers / release mls after upstream's decision to not have a 4.5 kdepim release, warning about the outcome and explaining how it prevented us (at least source distributions) from providing a working translation for KDE-4.5.1 + KDEPIM-4.4.* without any success.

Just to clarify, the core issue is that upstream releases a single kde-l10n-<country/language ISO code>-<version> tarball for *all* of KDE, which in a sane source distribution that doesn't allow multiple installs under different prefixes (-kdeprefix), means you can only have one l10n package. Therefore, when users want to have KDE-4.5.1 and KDEPIM-4.4.5, there's a problem as users can only have kde-l10n-<language>-4.5.1 or kde-l10n-<language>-4.4.5.

PS - Yes, Gentoo KDE could add an hack to allow the mixing of tarballs, but that is an hack that we would need to manually maintain until upstream chooses to change its mind again in the future and thus I think it's neither in our interest nor our obligation.

PPS - I'm sorry for the harsh words, but I got very, *very* upset with upstream about this issue and the complete unwillingness to fix this, as well as the "comfortable" speech that it's up to packagers to "package KDE". I guess one of these days they might just stop providing tarballs and leave it up to us to do that as well.
Comment 2 Guillaume Castagnino 2010-09-13 20:38:41 UTC
i know this is not in line with your words, but...
Why not mutualize work, for example with archlinux ? They are building a tarball for kdepim packages, here : http://repos.archlinux.org/wsvn/packages/kde-l10n/trunk/PKGBUILD
Comment 3 Bartosz Brachaczek 2010-09-14 16:32:37 UTC
Created attachment 247285 [details]
l10n ebuild for KDEPIM-4.4.5+

I've also had a headache with this problem, so I modified kde-l10n-4.4.5.ebuild to install only kdepim files. It isn't pretty, but it works for me along with kde-l10n-4.5.1, so I'm attaching it here for those interested. It needs patched kde4-base.eclass.
Comment 4 Bartosz Brachaczek 2010-09-14 16:33:41 UTC
Created attachment 247286 [details, diff]
patch for kde4-base.eclass needed by kdepim-l10n ebuild
Comment 5 Paolo Pedroni 2010-10-14 15:25:16 UTC
Please, please, please implement this in portage (for kdepim-4.4.6 as well, possibly). It seems a good idea. Don't let your disappointment at KDE devs let us poor users down...

Technically, what's wrong with the approach in Comment #3?
Comment 6 Paolo Pedroni 2010-10-15 08:56:50 UTC
(In reply to comment #3)
> I've also had a headache with this problem, so I modified kde-l10n-4.4.5.ebuild
> to install only kdepim files. It isn't pretty, but it works for me along with
> kde-l10n-4.5.1, so I'm attaching it here for those interested. It needs patched
> kde4-base.eclass.

It only works with USE=-handbook, otherwise it fails with the error below:

[ 84%] Generating kabcclient.1
man-kabcclient.1.docbook:5: warning: failed to load external entity "dtd/kdex.dtd"
]>
  ^
man-kabcclient.1.docbook:7: validity error : Validation failed: no DTD found !
<refentry id='kabcclient1'>
                          ^
man-kabcclient.1.docbook:10: parser error : Entity 'kde' not defined
>Manuale utente di &kde;</title>
                        ^
man-kabcclient.1.docbook:29: parser error : Entity 'kde' not defined
>client da riga di comando per la rubrica indirizzi di &kde;</refpurpose>
                                                            ^
man-kabcclient.1.docbook:88: parser error : Entity 'kde' not defined
> consente l'accesso da riga di comando alla rubrica indirizzi di &kde;, ad esem
                                                                       ^
make[2]: *** [kde-l10n-it-4.4.5/docs/kdepim/kabcclient/kabcclient.1] Error 1
make[1]: *** [kde-l10n-it-4.4.5/docs/kdepim/kabcclient/CMakeFiles/kabcclient-manpage-man-kabcclient.dir/all] Error 2
make: *** [all] Error 2
 * ERROR: kde-base/kdepim-l10n-4.4.5 failed:
 *   Make failed!
 * 
 * Call stack:
 *     ebuild.sh, line   54:  Called src_compile
 *   environment, line 3800:  Called kde4-base_src_compile
 *   environment, line 2893:  Called cmake-utils_src_compile
 *   environment, line 1073:  Called _execute_optionaly 'src_compile'
 *   environment, line  459:  Called enable_cmake-utils_src_compile
 *   environment, line 1452:  Called cmake-utils_src_make
 *   environment, line 1092:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 * 
 * If you need support, post the output of 'emerge --info =kde-base/kdepim-l10n-4.4.5',
 * the complete build log and the output of 'emerge -pqv =kde-base/kdepim-l10n-4.4.5'.
 * This ebuild used the following eclasses from overlays:
 *   /usr/local/portage/eclass/kde4-base.eclass
 * This ebuild is from an overlay: '/usr/local/portage/'
 * The complete build log is located at '/var/log/portage/kde-base:kdepim-l10n-4.4.5:20101015-084857.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kdepim-l10n-4.4.5/temp/environment'.
 * S: '/var/tmp/portage/kde-base/kdepim-l10n-4.4.5/work'

>>> Failed to emerge kde-base/kdepim-l10n-4.4.5, Log file:

>>>  '/var/log/portage/kde-base:kdepim-l10n-4.4.5:20101015-084857.log'

My 'emerge --info =kde-base/kdepim-l10n-4.4.5' is:
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.3, glibc-2.11.2-r0, 2.6.35-gentoo-r10 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.35-gentoo-r10-x86_64-Dual_Core_AMD_Opteron-tm-_Processor_185-with-gentoo-2.0.1
Timestamp of tree: Thu, 14 Oct 2010 05:45:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.3
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests autoaddcvs ccache confcache distcc distlocks fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict test unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ http://gentoo.tiscali.nl/ http://gentoo.virginmedia.com/ http://gentoo.mneisen.org/ http://gentoo.mirror.pw.edu.pl/"
LC_ALL="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="it"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 ao audiofile bash-completion bluetooth branding bzip2 cairo caps cdda cddb cdparanoia cdr cli consolekit cracklib crypt css cups curl cxx dbus dga djvu dri dts dvd dvdr emboss encode exif expat fam fbcon ffmpeg fftw firefox flac fontconfig foomaticdb fortran ftp gd gdbm ggi gif gimp gmp gnutls gphoto2 gpm graphviz gstreamer gtk hal handbook iconv icu idn ieee1394 imagemagick imlib java jbig jpeg jpeg2k kde lame lcms libcaca libnotify libsamplerate lm_sensors lua lzo mad mikmod mmap mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib musicbrainz ncurses nls nptl nptlonly nsplugin offensive ogg openal openexr opengl openmp pam pango pch pcre pdf perl png policykit ppds pppd python qt3support qt4 quicktime rdesktop readline recode reflection samba scanner sdl semantic-desktop session smartcard sndfile sox speex spell sqlite sse sse2 ssl startup-notification subversion svg symlink sysfs syslog taglib tcpd theora threads tiff truetype unicode usb vcd vim-syntax vnc vorbis wavpack wmf wxwidgets x264 xcb xcomposite xine xinerama xml xorg xpm xscreensaver xulrunner xv xvid yahoo zlib" ALSA_CARDS="intel8x0 virmidi" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="kodak ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" PHP_TARGETS="php-5.2" RUBY_TARGETS="ruby18" SANE_BACKENDS="epson" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

If necessary I can post the ebuild.log
Comment 7 Andreas K. Hüttel gentoo-dev 2010-10-15 09:02:13 UTC
Another one...
Comment 8 S. Lorsbach 2010-10-23 12:14:53 UTC
Hi,
this was annoying to me too, so I created a new tar-file based on the kde-4.4.5 translation and the current kde-4.5.2 translation file. I copied the kdepim folder from 4.4.5/message into the 4.5.2/message and added it to CMakeLists.txt. After that tar-bz2-ed the overall folder and copy it into /usr/portage/distfiles

I copied the new tar-bz2-file for german to an ftp. You could also use the attached ebuild file.

I think someone could automate the merge of the revisions, so other languages are available ;)
Comment 9 S. Lorsbach 2010-10-23 12:15:23 UTC
Created attachment 251683 [details]
kde-base/kde-l10n/kde-l10n-4.5.2-r1.ebuild
Comment 10 S. Lorsbach 2010-11-06 11:00:35 UTC
Created attachment 253381 [details]
kde-l10n/kde-l10n-4.5.3-r1.ebuild

Ebuild for german lang
Comment 11 Andreas K. Hüttel gentoo-dev 2011-04-03 17:53:31 UTC
Upstream is
Comment 12 Andreas K. Hüttel gentoo-dev 2011-04-03 17:55:51 UTC
Upstream is considering kdepim-4.4 dead.
We are considering upstream... ah well, let's not go into this.
Maybe we should now roll our own kdepim-4.4 localization after all.
Comment 13 Andreas K. Hüttel gentoo-dev 2011-04-04 22:20:25 UTC
Please try kde-base/kdepim-l10n-4.4.10 from the kde overlay
Comment 14 Andreas K. Hüttel gentoo-dev 2011-04-05 22:30:30 UTC
kde-base/kdepim-l10n-4.4.10 is now in the main tree and can be installed in parallel to kde-4.5 and kde-4.6. Should fix the problem, and is pulled in automatically by kdepim-meta-4.4.10 if nls useflag is set.